Mercurial > hg > sonic-visualiser
view deploy/osx/copy-qt.sh @ 1354:ae68ebb5fbe8 3.0-integration
Fixes to mp3 decode in subrepo. Filter out Xing/LAME info frames, rather than letting them go to the mp3 decoder as if they were audio frames, fixing the 1152-sample zero pad at start of some decoded mp3 files (distinct from decoder delay). Add MAD_BUFFER_GUARD padding at end of mp3 buffer, in order to ensure last frame is decoded successfully (otherwise the decoded audio is truncated). Both gleaned from madplay source code.
author | Chris Cannam |
---|---|
date | Thu, 24 Nov 2016 17:10:40 +0000 |
parents | 1e63105fc82d |
children | 2451e7bb90af |
line wrap: on
line source
#!/bin/bash set -eu app="$1" if [ -z "$app" ]; then echo "Usage: $0 <appname>" echo "Provide appname without the .app extension, please" exit 2 fi frameworks="QtCore QtNetwork QtGui QtXml QtSvg QtWidgets QtPrintSupport QtDBus" plugins="dds gif icns ico jpeg tga tiff wbmp webp cocoa minimal offscreen" qtdir=$(grep "Command:" Makefile | head -1 | awk '{ print $3; }' | sed s,/bin/.*,,) if [ ! -d "$qtdir" ]; then echo "Failed to discover Qt installation directory from Makefile, exiting" exit 2 fi fdir="$app.app/Contents/Frameworks" pdir="$app.app/Contents/plugins" mkdir -p "$fdir" mkdir -p "$pdir" echo echo "Copying frameworks..." for fwk in $frameworks; do cp -v "$qtdir/lib/$fwk.framework/$fwk" "$fdir" || exit 2 done echo "Done" echo echo "Copying plugins..." for plug in $plugins; do pfile=$(ls "$qtdir"/plugins/*/libq"$plug".dylib) if [ ! -f "$pfile" ]; then echo "Failed to find plugin $plug, exiting" exit 2 fi target="$pdir"/${pfile##?*plugins/} tdir=`dirname "$target"` mkdir -p "$tdir" cp -v "$pfile" "$target" || exit 2 done echo "Done"